---
id: 617b8b38f32bf2080a140675
title: Step 22
challengeType: 0
dashedName: step-22
---

# --description--

A function is a piece of code that can take an input and perform a specific action. The CSS `rgb` function accepts values, or <dfn>arguments</dfn>, for red, green, and blue, and produces a color:

```css
rgb(red, green, blue);
```

Each red, green, and blue value is a number from `0` to `255`. `0` means that there's 0% of that color, and is black. `255` means that there's 100% of that color.

In the `.one` CSS rule, replace the color keyword `red` with the `rgb` function. For the `rgb` function, set the value for red to `255`, the value for green to `0`, and the value for blue to `0`.

# --hints--

Your `.one` CSS rule should not use the `red` color keyword to set the `background-color` property.

```js
assert(new __helpers.CSSHelp(document).getStyle('.one')?.backgroundColor !== 'red');
```

Your `.one` CSS rule should have a `background-color` property set to `rgb(255, 0, 0)`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.one')?.backgroundColor === 'rgb(255, 0, 0)');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Colored Markers</title>
    <link rel="stylesheet" href="styles.css">
  </head>
  <body>
    <h1>CSS Color Markers</h1>
    <div class="container">
      <div class="marker one">
      </div>
      <div class="marker two">
      </div>
      <div class="marker three">
      </div>
    </div>
  </body>
</html>
```

```css
h1 {
  text-align: center;
}

.container {
  background-color: rgb(0, 0, 0);
}

.marker {
  width: 200px;
  height: 25px;
  margin: 10px auto;
}

--fcc-editable-region--
.one {
  background-color: red;
}
--fcc-editable-region--

.two {
  background-color: green;
}

.three {
  background-color: blue;
}

```
